Loading...
Searching...
No Matches
lexicographical_compare.hpp File Reference

## Functions

template<typename I0 , typename S0 , typename I1 , typename S1 , typename C = less, typename P0 = identity, typename P1 = identity> requires input_iterator<I0> && sentinel_for<S0, I0> && input_iterator<I1> && sentinel_for<S1, I1> && indirect_strict_weak_order<C, projected<I0, P0>, projected<I1, P1>>
constexpr bool | ranges::lexicographical_compare (I0 begin0, S0 end0, I1 begin1, S1 end1, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{})
| function template `lexicographical_compare`
template<typename Rng0 , typename Rng1 , typename C = less, typename P0 = identity, typename P1 = identity> requires input_range<Rng0> && input_range<Rng1> && indirect_strict_weak_order<C, projected<iterator_t<Rng0>, P0>, projected<iterator_t<Rng1>, P1>>
constexpr bool | ranges::lexicographical_compare (Rng0 &&rng0, Rng1 &&rng1, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.